6.0.0-git
2019-04-25

[#12719] Horde_Core_Factory_Perms sets a cache object that doesn't satisfy Horde_Perms type hints.
Summary Horde_Core_Factory_Perms sets a cache object that doesn't satisfy Horde_Perms type hints.
Queue Horde Framework Packages
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester mrubinsk (at) horde (dot) org
Created 2013-09-29 (2034 days ago)
Due
Updated 2017-09-06 (596 days ago)
Assigned 2013-09-29 (2034 days ago)
Resolved 2013-09-30 (2033 days ago)
Milestone
Patch No

History
2017-09-06 08:18:38 Git Commit Comment #3 Reply to this comment
Changes have been made in Git (master):

commit 35d44f0c934cb666ea9a224b698c8622e438c6d9
Author: Daniel O'Connor <daniel.oconnor@gmail.com>
Date:   Mon Jan 2 11:25:32 2012 +1030

     Bug #12719 Blockquote parsing bugs

  Text/Wiki/Parse/Default/Blockquote.php | 36 
+++++++++-------------------------
  1 file changed, 9 insertions(+), 27 deletions(-)

http://github.com/horde/horde/commit/35d44f0c934cb666ea9a224b698c8622e438c6d9
2013-09-30 21:54:51 Michael Slusarz State ⇒ Resolved
 
2013-09-30 21:54:47 Git Commit Comment #2 Reply to this comment
Changes have been made in Git (master):

commit 4d60611e559f09946776c66464fa5ea57046700a
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Sep 30 15:54:30 2013 -0600

     Bug #12719: Wrap in-memory cache in base Cache object

  framework/Core/lib/Horde/Core/Factory/Perms.php |    8 +++++---
  1 files changed, 5 insertions(+), 3 deletions(-)

http://git.horde.org/horde-git/-/commit/4d60611e559f09946776c66464fa5ea57046700a
2013-09-29 20:32:45 Michael Rubinsky Comment #1
Type ⇒ Bug
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Horde_Core_Factory_Perms sets a cache object that doesn't satisfy Horde_Perms type hints.
Queue ⇒ Horde Framework Packages
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
2013-09-29T16:20:37-04:00 DEBUG: HORDE PHP ERROR: Argument 1 passed to 
Horde_Perms_Permission_Sql::setObs() must be an instance of 
Horde_Cache, instance of Horde_Cache_Storage_Memoryoverlay given, 
called in 
/usr/local/horde/horde/framework/Perms/lib/Horde/Perms/Sql.php on line 
131 and defined [pid 58442 on line 54 of 
"/usr/local/horde/horde/framework/Perms/lib/Horde/Perms/Permission/Sql.php"]

Horde_Perms uses Horde_Cache as a type hint in various places. Not 
sure how to properly fix this in a BC way. It doesn't seem right to be 
passing a Horde_Cache_Storage_* object in place of a Horde_Cache object.

Saved Queries